=== debian/changelog ===
rocksndiamonds (4.0.0.1+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream release, obsoleting all patches (closes: #752493).
  * Update debian/watch; thanks to Bart Martens!
  * Fix the VCS browser URL.
  * Clean up debian/control using cme.
  * Standards-Version 3.9.8.
  * Drop dependency on perl-modules.
  * Switch to debhelper compatibility level 10.
  * Add a desktop file and remove the old menu file (thanks to Andreas
    Stempfhuber for the patch; closes: #658930, #727032).
  * Update download information (closes: #752495).

 -- Stephen Kitt <skitt@debian.org>  Tue, 17 Jan 2017 22:55:20 +0100
