=== debian/control ===
Source: rocksndiamonds
Maintainer: Dmitry E. Oboukhov <unera@debian.org>
Uploaders: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Section: contrib/games
Priority: extra
Build-Depends: debhelper (>= 10),
               cdbs,
               po-debconf,
               libsdl2-dev,
               libsdl2-image-dev,
               libsdl2-mixer-dev,
               libsdl2-net-dev
Standards-Version: 3.9.8
Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/rocksndiamonds.git
Vcs-Git: https://anonscm.debian.org/git/collab-maint/rocksndiamonds.git
Homepage: http://artsoft.org

Package: rocksndiamonds
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${perl:Depends},
         p7zip,
         wget,
         unzip,
         zip
Pre-Depends: debconf | debconf-2.0
Conflicts: rocksndiamonds-data,
           rocksndiamonds-zelda,
           rocks-n-diamonds
Description: arcade-style game
 This package provides the game engine for Rocks'n'Diamonds, an arcade
 game in the tradition of "Boulder Dash", "Emerald Mine", "Supaplex",
 "Sokoban", etcetera. Game levels emulating all of these can be
 downloaded from ArtSoft.org.
