## rocksndiamonds 4.0.0.2+dfsg

=== debian/changelog ===
rocksndiamonds (4.0.0.2+dfsg-2) unstable; urgency=medium

  * Upload to unstable.
  * Update debian/copyright.
  * Standards-Version 4.0.0, no further change required.
  * Rely on pkg-info.mk instead of running dpkg-parsechangelog to
    determine the version.
  * Ignore irrelevant Lintian warnings for unused Debconf templates and
    an empty directory.

 -- Stephen Kitt <skitt@debian.org>  Wed, 26 Jul 2017 23:15:12 +0200

rocksndiamonds (4.0.0.2+dfsg-1) experimental; urgency=medium

  * New upstream release.
  * Switch maintainer and uploaders (as standard for team-maintained
    packages), and add myself to uploaders with Dmitry’s approval.
  * Rewrite debian/copyright in machine-readable format.
  * Add repack suffix option to debian/watch.

 -- Stephen Kitt <skitt@debian.org>  Sat, 06 May 2017 20:16:51 +0200
