=== debian/control ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Source: rocksndiamonds
-Maintainer: Dmitry E. Oboukhov <unera@debian.org>
-Uploaders: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
+Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
+Uploaders: Dmitry E. Oboukhov <unera@debian.org>, Stephen Kitt <skitt@debian.org>
 Section: contrib/games
 Priority: extra
 Build-Depends: debhelper (>= 10),
@@ -10,7 +10,7 @@
                libsdl2-image-dev,
                libsdl2-mixer-dev,
                libsdl2-net-dev
-Standards-Version: 3.9.8
+Standards-Version: 4.0.0
 Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/rocksndiamonds.git
 Vcs-Git: https://anonscm.debian.org/git/collab-maint/rocksndiamonds.git
 Homepage: http://artsoft.org
