=== debian/rules ===
--- 
+++ 
@@ -1,16 +1,10 @@
 #!/usr/bin/make -f
 
+include /usr/share/cdbs/1/rules/debhelper.mk
+include /usr/share/dpkg/pkg-info.mk
 
-VERSION			:=	$(shell dpkg-parsechangelog \
-				|grep ^Version \
-				|awk '{print $$2}' \
-				|sed 's/-[0-9]\+$$//')
-
-UPSTREAM_VERSION	:=	$(shell echo $(VERSION)|sed 's/+.*//')
-
-LEVEL_DIR		:=	/usr/share/games/rocksndiamonds
-
-include /usr/share/cdbs/1/rules/debhelper.mk
+UPSTREAM_VERSION := $(shell echo $(DEB_VERSION_UPSTREAM) | sed 's/+.*//')
+LEVEL_DIR := /usr/share/games/rocksndiamonds
 
 build/rocksndiamonds::
 	make RO_GAME_DIR=$(LEVEL_DIR) sdl2
