=== debian/changelog ===
rocksndiamonds (4.0.1.0+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Switch to secured upstream URL in debian/watch.
  * Change priority to “optional”.
  * Fix a couple of spelling mistakes.
  * Enable hardening build flags.
  * Standards-Version 4.1.1, no further change required.

 -- Stephen Kitt <skitt@debian.org>  Sat, 21 Oct 2017 23:13:42 +0200
