=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
 Uploaders: Dmitry E. Oboukhov <unera@debian.org>, Stephen Kitt <skitt@debian.org>
 Section: contrib/games
-Priority: extra
+Priority: optional
 Build-Depends: debhelper (>= 10),
                cdbs,
                po-debconf,
@@ -10,7 +10,7 @@
                libsdl2-image-dev,
                libsdl2-mixer-dev,
                libsdl2-net-dev
-Standards-Version: 4.0.0
+Standards-Version: 4.1.1
 Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/rocksndiamonds.git
 Vcs-Git: https://anonscm.debian.org/git/collab-maint/rocksndiamonds.git
 Homepage: http://artsoft.org
