=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,11 @@
 #!/usr/bin/make -f
+
+DPKG_EXPORT_BUILDFLAGS = 1
+export DEB_BUILD_MAINT_OPTIONS=harderning=+all
 
 include /usr/share/cdbs/1/rules/debhelper.mk
 include /usr/share/dpkg/pkg-info.mk
+include /usr/share/dpkg/buildflags.mk
 
 UPSTREAM_VERSION := $(shell echo $(DEB_VERSION_UPSTREAM) | sed 's/+.*//')
 LEVEL_DIR := /usr/share/games/rocksndiamonds
