=== debian/watch ===
version=3
opts=repacksuffix=+dfsg,dversionmangle=s/(\da?)[\+\.\-~](?:dfsg|debian|ds|repack)\.?\d*$/$1/ \
https://artsoft.org/rocksndiamonds/download/ \
(?:.*/|.*=|)rocksndiamonds[\-\._](\d\S*)\.(?:tar\.xz|txz|tar\.bz2|tbz2|tar\.gz|tgz)(?:/\S*)?
