## rocksndiamonds 4.1.0.0+dfsg

=== debian/changelog ===
rocksndiamonds (4.1.0.0+dfsg-1) unstable; urgency=medium

  * New upstream release, with an updated Supaplex level collection.
  * Migrate to Salsa.
  * Tell Lintian to ignore specific recursive chowns/chmods, they’re safe
    (famous last words).
  * Standards-Version 4.1.4, no change required.

 -- Stephen Kitt <skitt@debian.org>  Fri, 01 Jun 2018 09:10:07 +0200

rocksndiamonds (4.0.1.3+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Switch to debhelper compatibility level 11, with “simple dh” rules
    instead of cdbs.

 -- Stephen Kitt <skitt@debian.org>  Sat, 03 Mar 2018 23:11:20 +0100
