=== debian/control ===
--- 
+++ 
@@ -3,16 +3,15 @@
 Uploaders: Dmitry E. Oboukhov <unera@debian.org>, Stephen Kitt <skitt@debian.org>
 Section: contrib/games
 Priority: optional
-Build-Depends: debhelper (>= 10),
-               cdbs,
+Build-Depends: debhelper (>= 11~),
                po-debconf,
                libsdl2-dev,
                libsdl2-image-dev,
                libsdl2-mixer-dev,
                libsdl2-net-dev
-Standards-Version: 4.1.1
-Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/rocksndiamonds.git
-Vcs-Git: https://anonscm.debian.org/git/collab-maint/rocksndiamonds.git
+Standards-Version: 4.1.4
+Vcs-Browser: https://salsa.debian.org/games-team/rocksndiamonds
+Vcs-Git: https://salsa.debian.org/games-team/rocksndiamonds.git
 Homepage: http://artsoft.org
 
 Package: rocksndiamonds
