## rocksndiamonds 4.1.1.0+dfsg

=== Makefile ===
--- 
+++ 
@@ -49,7 +49,10 @@
 .EXPORT_ALL_VARIABLES:
 
 SRC_DIR = src
+ANDROID_DIR ?= android
+
 MAKE_CMD = $(MAKE) -C $(SRC_DIR)
+MAKE_CMD_ANDROID = $(MAKE) -C $(ANDROID_DIR)
 
 
 # -----------------------------------------------------------------------------
@@ -71,16 +74,38 @@
 cross-win32:
 	@PATH=$(CROSS_PATH_WIN32)/bin:${PATH} $(MAKE_CMD) PLATFORM=cross-win32
 
+android-compile:
+	@$(MAKE_CMD_ANDROID) compile
+
+android-package:
+	@$(MAKE_CMD_ANDROID) package
+
+android-install:
+	@$(MAKE_CMD_ANDROID) install
+
+android-assets-toc:
+	@$(MAKE_CMD_ANDROID) assets-toc
+
+android-clean:
+	@$(MAKE_CMD_ANDROID) clean
+
+android: android-package
+
 clean:
 	@$(MAKE_CMD) clean
 
 clean-git:
 	@$(MAKE_CMD) clean-git
 
-
-# -----------------------------------------------------------------------------
-# development, test, distribution build and packaging targets
-# -----------------------------------------------------------------------------
+clean-android: android-clean
+
+
+# -----------------------------------------------------------------------------
+# development targets
+# -----------------------------------------------------------------------------
+
+MAKE_ENGINETEST = ./Scripts/make_enginetest.sh
+MAKE_LEVELSKETCH = ./Scripts/make_levelsketch_images.sh
 
 auto-conf:
 	@$(MAKE_CMD) auto-conf
@@ -94,27 +119,43 @@
 valgrind: all
 	@$(MAKE_CMD) valgrind
 
+tags:
+	$(MAKE_CMD) tags
+
+depend dep:
+	$(MAKE_CMD) depend
+
 enginetest: all
-	./Scripts/make_enginetest.sh
+	$(MAKE_ENGINETEST)
 
 enginetestcustom: all
-	./Scripts/make_enginetest.sh custom
+	$(MAKE_ENGINETEST) custom
 
 enginetestfast: all
-	./Scripts/make_enginetest.sh fast
+	$(MAKE_ENGINETEST) fast
 
 enginetestnew: all
-	./Scripts/make_enginetest.sh new
+	$(MAKE_ENGINETEST) new
 
 leveltest: all
-	./Scripts/make_enginetest.sh leveltest
+	$(MAKE_ENGINETEST) leveltest
 
 levelsketch_images: all
-	./Scripts/make_levelsketch_images.sh
+	$(MAKE_LEVELSKETCH)
+
+
+# -----------------------------------------------------------------------------
+# distribution targets
+# -----------------------------------------------------------------------------
+
+MAKE_DIST = ./Scripts/make_dist.sh
 
 dist-clean:
 	@$(MAKE_CMD) dist-clean
 
+dist-clean-android:
+	@$(MAKE_CMD_ANDROID) dist-clean
+
 dist-build-unix:
 	@BUILD_DIST=TRUE $(MAKE)
 
@@ -124,40 +165,69 @@
 dist-build-macosx:
 	@BUILD_DIST=TRUE $(MAKE)
 
+dist-build-android:
+	@BUILD_DIST=TRUE $(MAKE) android
+
 dist-package-unix:
-	./Scripts/make_dist.sh package unix
+	$(MAKE_DIST) package unix
 
 dist-package-win32:
-	./Scripts/make_dist.sh package win
+	$(MAKE_DIST) package win
 
 dist-package-macosx:
-	./Scripts/make_dist.sh package mac
+	$(MAKE_DIST) package mac
+
+dist-package-android:
+	$(MAKE_DIST) package android
+
+dist-copy-package-unix:
+	$(MAKE_DIST) copy-package unix
+
+dist-copy-package-win32:
+	$(MAKE_DIST) copy-package win
+
+dist-copy-package-macosx:
+	$(MAKE_DIST) copy-package mac
+
+dist-copy-package-android:
+	$(MAKE_DIST) copy-package android
 
 dist-upload-unix:
-	./Scripts/make_dist.sh upload unix
+	$(MAKE_DIST) upload unix
 
 dist-upload-win32:
-	./Scripts/make_dist.sh upload win
+	$(MAKE_DIST) upload win
 
 dist-upload-macosx:
-	./Scripts/make_dist.sh upload mac
+	$(MAKE_DIST) upload mac
+
+dist-upload-android:
+	$(MAKE_DIST) upload android
 
 dist-package-all:
 	$(MAKE) dist-package-unix
 	$(MAKE) dist-package-win32
 	$(MAKE) dist-package-macosx
+	$(MAKE) dist-package-android
+
+dist-copy-package-all:
+	$(MAKE) dist-copy-package-unix
+	$(MAKE) dist-copy-package-win32
+	$(MAKE) dist-copy-package-macosx
+	$(MAKE) dist-copy-package-android
 
 dist-upload-all:
 	$(MAKE) dist-upload-unix
 	$(MAKE) dist-upload-win32
 	$(MAKE) dist-upload-macosx
+	$(MAKE) dist-upload-android
+
+dist-release-all: dist-package-all dist-copy-package-all dist-upload-all
 
 package-all: dist-package-all
 
+copy-package-all: dist-copy-package-all
+
 upload-all: dist-upload-all
 
-tags:
-	$(MAKE_CMD) tags
-
-depend dep:
-	$(MAKE_CMD) depend
+release-all: dist-release-all
