=== debian/changelog ===
rocksndiamonds (4.1.1.0+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Fix grammar in the launcher.
  * Set “Rules-Requires-Root: no”.
  * Update debian/copyright.
  * Standards-Version 4.2.1, no further change required.
  * Move the explanation of this package’s distribution in the contrib
    archive area from debian/README.Debian-sources to debian/copyright.
  * Add manpages.

 -- Stephen Kitt <skitt@debian.org>  Fri, 16 Nov 2018 17:32:59 +0100
