=== debian/control ===
--- 
+++ 
@@ -9,10 +9,11 @@
                libsdl2-image-dev,
                libsdl2-mixer-dev,
                libsdl2-net-dev
-Standards-Version: 4.1.4
+Standards-Version: 4.2.1
 Vcs-Browser: https://salsa.debian.org/games-team/rocksndiamonds
 Vcs-Git: https://salsa.debian.org/games-team/rocksndiamonds.git
 Homepage: http://artsoft.org
+Rules-Requires-Root: no
 
 Package: rocksndiamonds
 Architecture: any
