## rocksndiamonds 4.1.4.1+dfsg

=== Makefile ===
--- 
+++ 
@@ -49,7 +49,7 @@
 .EXPORT_ALL_VARIABLES:
 
 SRC_DIR = src
-ANDROID_DIR ?= android
+ANDROID_DIR ?= build-projects/android
 
 MAKE_CMD = $(MAKE) -C $(SRC_DIR)
 MAKE_CMD_ANDROID = $(MAKE) -C $(ANDROID_DIR)
