=== src/game_em/Makefile ===
--- 
+++ 
@@ -52,7 +52,7 @@
 all: $(GAME_EM)
 
 $(GAME_EM): $(OBJS)
-	$(AR) cru $(GAME_EM) $(OBJS)
+	$(AR) cr $(GAME_EM) $(OBJS)
 	$(RANLIB) $(GAME_EM)
 
 .c.o:
