=== debian/changelog ===
rocksndiamonds (4.1.4.1+dfsg-1) unstable; urgency=medium

  * New upstream release.

 -- Stephen Kitt <skitt@debian.org>  Fri, 17 Jan 2020 06:40:20 +0100

rocksndiamonds (4.1.4.0+dfsg-1) unstable; urgency=medium

  * New upstream release.

 -- Stephen Kitt <skitt@debian.org>  Mon, 13 Jan 2020 08:59:34 +0100

rocksndiamonds (4.1.3.0+dfsg-1) unstable; urgency=medium

  * New upstream release. Closes: #945482.
  * Drop the chown/chmod Lintian overrides (see #936060).
  * Switch to debhelper compatibility level 12.
  * Standards-Version 4.4.1, no change required.
  * Fix the hardening configuration so it is actually taken into
    account.

 -- Stephen Kitt <skitt@debian.org>  Tue, 26 Nov 2019 17:46:56 +0100
