=== debian/control ===
--- 
+++ 
@@ -3,13 +3,13 @@
 Uploaders: Dmitry E. Oboukhov <unera@debian.org>, Stephen Kitt <skitt@debian.org>
 Section: contrib/games
 Priority: optional
-Build-Depends: debhelper (>= 11~),
+Build-Depends: debhelper-compat (= 12),
                po-debconf,
                libsdl2-dev,
                libsdl2-image-dev,
                libsdl2-mixer-dev,
                libsdl2-net-dev
-Standards-Version: 4.2.1
+Standards-Version: 4.4.1
 Vcs-Browser: https://salsa.debian.org/games-team/rocksndiamonds
 Vcs-Git: https://salsa.debian.org/games-team/rocksndiamonds.git
 Homepage: http://artsoft.org
