=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #!/usr/bin/make -f
 
 DPKG_EXPORT_BUILDFLAGS = 1
-export DEB_BUILD_MAINT_OPTIONS=harderning=+all
+export DEB_BUILD_MAINT_OPTIONS=hardening=+all
 
 include /usr/share/dpkg/pkg-info.mk
 include /usr/share/dpkg/buildflags.mk
